require 'arkham/deck'
require 'arkham/discard'

module Arkham
  class Enemy
    attr_reader :health

    def initialize(game, health)
      @deck = Deck.new
      @discard = Discard.new
      @health = health
      @shield = 0
      @game = game
    end

    def damage(amount)
      @health = @health - amount
    end

    def take_turn
      card = @deck.draw_random
      card.enemy_play(@game)
    end

    def add_shield(amount)
      @shield += amount
    end

    def heal(amount)
      @health += amount
    end

    def print_summary
      puts "ENEMY"
      puts "Health: #{@health}"
      puts "Shield: #{@shield}\n\n"
    end
  end
end
