require 'arkham/player'
require 'arkham/enemy'

module Arkham
  class Game
    attr_reader :player, :enemy

    def initialize
      @player = Player.new(self, 30)
      @enemy = Enemy.new(self, 20)
    end

    def play
      until game_end
        @player.take_turn
        @enemy.take_turn
        @player.print_summary
        @enemy.print_summary
      end
    end

    def game_end
      @player.health <= 0 || @enemy.health <= 0
    end
  end
end
