require 'arkham/deck'
require 'arkham/discard'

module Arkham
  class Player
    attr_reader :health

    def initialize(game, health)
      @deck = Deck.new
      @discard = Discard.new
      @hand = []
      @game = game
      @shield = 0
      @health = health
    end

    def take_turn
      @hand = @deck.draw_five
      3.times do
        display_cards
        play_card
      end
    end

    def display_cards
      @hand.each_with_index do |card, index|
        puts "#{index + 1}: #{card.display}"
      end
    end

    def play_card
      puts "\nWhich card would you like to play?"
      index_to_play = gets.chomp.to_i - 1
      card_played = @hand.delete_at(index_to_play)
      card_played.play(@game)
    end

    def add_shield(amount)
      @shield += amount
    end

    def heal(amount)
      @health += amount
    end

    def damage(amount)
      @health -= amount
    end

    def print_summary
      puts "\nHERO"
      puts "Health: #{@health}"
      puts "Shield: #{@shield}\n\n"
    end
  end
end
